%
%  BIO CTD Data from Eastern Gulf of Maine/Scotian Shelf

% $Log: gbbioctd.m,v $
% Revision 1.1  2000/09/19 20:50:41  kwoklin
% First toolbox internal release.   klee
%

% $Id: gbbioctd.m,v 1.1 2000/09/19 20:50:41 kwoklin Exp $
% klee 08/2000
% klee 06/30/1999

GetFunctionName = 'getjgsta';
CatalogServer = 'http://dods.gso.uri.edu/cgi-bin/nph-ff/catalog/gbbioctd.dat';
Cat_m_File = 'gbcat';
URL_m_File = 'gburl';

LonRange = [-68.2 -60.0];
LatRange = [40.0 45.0];
TimeRange = [1993.78 1999.99];
DepthRange = [0.0 1013.0];
Resolution = nan;

DodsName = str2mat('temp','sal','sigma_0_ctd','potemp_ctd');
DataName = 'Water Column -- CTD Data from Eastern Gulf of Maine/Scotian Shelf  -- BIO/GLOBEC';    
%%LongitudeName = 'lon';
%%LatitudeName = 'lat';
%%TimeName = str2mat('year_utc','month_utc','day_utc',...
%%                   '','','','','','','');
DepthName = str2mat('press','','','','');
DepthUnits = 'dbar';
SelectableVariables = str2mat('Sea_Temp','Salinity',...
                              'Pot_Density_Anom','Pot_Temp');
OptionalVariables = str2mat('depth','station');
SelectableOptional = str2mat('Depth_W','Station_Id');

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                       BIO CTD Data from Eastern Gulf of Maine/Scotian Shelf         ',...
'   ',...
'                   Parameter         Description                    Units',...
'                 ----------------------------------------------------------',...
'                   press             Pressure                       decibars',...
'                   temp              Temperature                    degrees C',...
'                   sal               Salinity                       nd',...
'                   sigp              Potential Density Anomaly      kg/m**3',...
'                   potm              Potential Temperature          degrees C',...
'  ',...
'INSTRUMENT_HEADER',...
'     INST_TYPE = Sea-Bird',...
'     MODEL = SBE 9',...
'  ',...
'CTD Profiles ',...
'     Hydrographic surveys of eastern Gulf of Maine (including NE peak of Georges Bank) conducted',...
'     with Seabird 9 Plus CTD during mooring deployment/recovery cruises. Estimated accuracies: +/-',...
'     0.005 degC ( temperature), +/-0.005 (salinity), +/-1.2 m (depth) ');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Oct. 12, 1993 (1993.78016172) ', ...
'         Ending_Date:    Jun. 29, 1997 (1997.49241629)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 67.9963 W ', ...
'              East Bounding Coordinate: 61.7323 W ', ...
'              South Bounding Coordinate: 41.3220 N ', ...
'              North Bounding Coordinate: 44.6880 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               Peter C. Smith', ...
'               Coastal Ocean Science, OSD',...
'               Bedford Institute of Oceanography',...
'               P.O. Box 1006', ...
'               Dartmouth, N.S. B2Y 4A2',...
'               CANADA',...
'               Electronic Mail Address:INTERNET > smithpc@mar.dfo-mpo.gc.ca',...
'               FAX: 902-426-7827 ',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments4];
