%
%  TerrainBase Global Land and Ocean Depth

%
% $Log: tabase.m,v $
% Revision 1.1  2000/05/31 23:12:56  dbyrne
% *** empty log message ***
%
% Revision 1.1  2000/05/31 22:59:20  root
% *** empty log message ***
%
% Revision 1.1  2000/03/28 18:44:49  root
% New dataset files.
%
% Revision 1.2  2000/03/15 15:33:50  kwoklin
% Fix Server and LonRange.  klee
%
% Revision 1.1  2000/02/22 14:45:46  kwoklin
% Change file name to avoid naming conflict of tbase in toolbox. klee
%
% Revision 1.2  2000/01/31 18:23:42  kwoklin
% Move server to 'maewest'.   klee
%
% Revision 1.1  1999/11/23 19:43:01  kwoklin
% Add tbase data set.  Use recturl for simple getrectg geturl file. klee
%

% $Id: tabase.m,v 1.1 2000/05/31 23:12:56 dbyrne Exp $
% klee 11/23/99

GetFunctionName = 'getrectg';

URL_m_File = 'recturl';
CatalogServer = 'monthly';

Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-ff/data/tbase/tbase.dat';
Nlon = 4320;
Nlat = 2160;

LonRange = [0 360];
LatRange = [90 -90];
TimeRange = [1800.0 1998.0];
DepthRange = [0.0 0.0];
Resolution = 200;
                                         
DataName = 'Bathymetry - TerrainBase Global Land and Ocean Depth - NGDC';
TimeName = '';
LongitudeName = '';
LatitudeName = '';
DepthName = '';
DepthUnits = 'Meters';
SelectableVariables = str2mat('Bathymetry');
DodsName = str2mat('x');

%DataNull = [NaN NaN NaN NaN -9999999790214767953607394487959552.0 -9999999790214767953607394487959552.0];

Acknowledge = sprintf('%s\n', ...
    [ 'The authors of this dataset are Lee W. Row, III ',...
      'and David Hastings. ', ...
      'The data were provided by the National Geophysical ',...
      'Data Center and World Data Center-A for Solid Earth ',...
      'Geophysics Boulder, Colorado  U.S.A. ', ...
      '(http://www.ngdc.noaa.gov:80/mgg/global/seltopo.html),',...
      ' and accessed via the Distributed Oceanographic Data ',...
      'System (DODS: http://www.unidata.ucar.edu/packages/dods).']);
Data_Use_Policy = [];

Comments1 = sprintf('%s\n', ...
'                       TerrainBase Global Land and Ocean Depth ',...
'     ', ...
'     TerrainBase is an ongoing project conducted by the National Geophysical',...
'     Data Center and World Data Centers-A for Solid Earth Geophysics and for',...
'     Marine Geology and Geophysics (NGDC/WDC-A) to develop a research-quality',...
'     collection of digital terrain models (DTMs).',...
'    ',...
'     A total of twenty-six regional and worldwide terrain models and',...
'     one newly-developed global model are included in this release. All of the',...
'     models compiled are in a gridded format, meaning that the data represent',...
'     a matrix of height values separated by a fixed grid interval.',...
'     ',...     
'     (The sources of DTMs for this Global dataset)',...
'-------------------------------------------------------------------------------',...
'     ',...
'              Digital Terrain Models Available from NOAA/NGDC',...
'                                January 1994',...
'     ',...
'Coverage                Grid spacing    Topo/bathy      Developer/contributor',...
'---------------------   -------------   -------------   ---------------------',...
'Global land             10-minute       Topography      NCAR and FNOC',...
'Global oceans           5-minute        Bathymetry      Washington University',...
'North America           5-minute        Both            U.S. DMA',...
'Europe                  5-minute        Both            U.S. DMA',...
'Conterminous USA        30-second       Topography      NOAA/NGDC',...
'Italy                   30-second       Both            Servizio Geol Naznl',...
'Africa                  5-minute        Topography      Australian Natl Univ',...
'Greenland               5x10-minute     Topography      Kort-og Matrikelstyr.',...
'Australia               5-minute        Topography      Australian Natl Univ',...
'Brazil Cerrados region  2-minute        Topography      Cntr Int Agr Tropical',...
'Andes Mtns & Peru/Chile 3-minute        Both            Cornell University',...
'     trench',...
'Austria                 1.5x2.5-minute  Topography      Tech Univ Graz',...
'Japan, N. and S. Korea  5-minute        Both            U.S. DMA',...
'Netherlands             3x5-minute      Topography      Tech Univ Delft',...
'Alaskan Arctic coast    30-second       Bathymetry      NOAA/NGDC',...
'Bering Strait coast     30-second       Bathymetry      NOAA/NGDC',...
'Alaska Pacific coast    30-second       Bathymetry      NOAA/NGDC',...
'U.S. Atlantic coast     30-second       Bathymetry      NOAA/NGDC',...
'Great Lakes             30-second       Bathymetry      NOAA/NGDC',...
'U.S. Gulf Mexico coast  30-second       Bathymetry      NOAA/NGDC',...
'U.S. Pacific coast      30-second       Bathymetry      NOAA/NGDC',...
'Hawaiian Islands coast  30-second       Bathymetry      NOAA/NGDC',...
'Puerto Rico coast       30-second       Bathymetry      NOAA/NGDC',...
'Central NW Terr, Canada 5-minute        Both            NOAA/NGDC',...
'Madagascar              30-second       Topography      USGS, EROS Data Center',...
'Haiti, Dom, Republic,   30-second       Topography      USGS, EROS Data Center',...
'and Puerto Rico',...
'-------------------------------------------------------------------------');

Comments2 = sprintf('%s\n', ...
'    ', ...
'The data set has the following characteristics:',...
'    ',...
'    - all elevations are given in meters, positive above sealevel and negative',...
'      below',...
'    - the grid resolution is 5 minutes x 5 minutes (long., lat.)   ', ...
'    - the data are organized in full 360 degree latitude circles beginning ', ...
'      at 90N and stepping southward to 89 55.0S; the circle at 90N has', ...
'      constant value and the circle at 90S is not given, but a value of 2810', ...
'      meters may be assumed', ...
'    - along each circle (latitude line) there are 360*12 = 4320  values', ...
'    - there are 180*12 = 2160 latitude lines        ', ...
'    - each logical (tape) record is 120 eight bit bytes long', ... 
'    - one logical record contains 20 grid point values, format 20I6', ...
'    - 216 logical records (4320 grid points) represent one latitude line of', ... 
'      data, e.g. the first 216 logical records are used to reconstruct the', ...      
'      elevation at 90N (all constant), the next 216 logical records apply to ', ...
'      the elevations at 89 55.0N, and so on.', ...
'    - the first value on a lat. line is matched to 0E longitude, and the', ... 
'      last value is 359 55.0E (or equivalently 0 5.0W) longitude',...
'    ', ...
'For more information, please check out:', ...
'  ftp://ftp.ngdc.noaa.gov/Solid_Earth/Topography/tbase_5min/tbase.txt ',...
'The general and CD-ROM information are in:', ...
'  http://www.ngdc.noaa.gov:80/seg/fliers/se-1104.shtml');

Comments3 = sprintf('%s\n', ...
'   ', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate:    0     E ', ...
'              East Bounding Coordinate:  359 55.0E ', ...
'              South Bounding Coordinate:  90     N ', ...
'              North Bounding Coordinate: -90     S ', ...
'    Units:  m ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - technical info: ', ...
'               Paula Dunbar', ...
'               NGDC DIV: SED, Room 1B206', ...
'               Telephone: (303) 497-6084', ...
'               NGDC ', ...
'               Boulder, Colorado',...
'               USA',...
'               Electronic Mail Address: INTERNET > pdunbar@ngdc.noaa.gov', ...
'         Address - dods:',...
'               Electronic Mail Address: INTERNET > support@dods.gso.uri.edu ');

Comments = [Comments1 Comments2 Comments3];

